NavigableMap (Grails 6.0.0)

Package: org.grails.config

## [Groovy] Class NavigableMap

- org.grails.config.NavigableMap

- All Implemented Interfaces and Traits:
    java.util.Map<java.lang.String, java.lang.Object>, java.lang.Cloneable

      @java.lang.Deprecated
      @groovy.transform.EqualsAndHashCode
      @groovy.transform.CompileStatic
      class NavigableMap
      extends java.lang.Object
      implements java.util.Map<java.lang.String, java.lang.Object>, java.lang.Cloneable

  deprecated:
    This class is deprecated to reduce complexity, improve performance, and increase maintainability. Use `config.getProperty(String key, Class<T> targetType)` instead.

- - ### Nested Class Summary

    Nested classes
    Modifiers | Name | Description
    --- | --- | ---
    `static class` | `NavigableMap.NullSafeNavigator` | deprecated: This class will be removed in future.

  - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static org.slf4j.Logger` | `LOG` |
    `private static java.lang.String` | `PROFILES` |
    `private static java.util.regex.Pattern` | `SPLIT_PATTERN` |
    `private static java.lang.String` | `SPRING` |
    `private static java.lang.String` | `SPRING_PROFILES` |
    `private static java.lang.String` | `SUBSCRIPT_REGEX` |
    `private java.util.Map<java.lang.String, java.lang.Object>` | `delegateMap` |
    `private java.lang.String` | `dottedPath` |
    `private java.util.List<java.lang.String>` | `path` |
    `private NavigableMap` | `rootConfig` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `java.lang.Object` | `at`
    `java.util.Map<java.lang.String, java.lang.Object>` | `delegateMap`
    `java.lang.String` | `dottedPath`
    `java.util.List<java.lang.String>` | `path`
    `java.lang.Object` | `property`
    `NavigableMap` | `rootConfig`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `NavigableMap ()`
    `NavigableMap (NavigableMap rootConfig, java.util.List<java.lang.String> path)`
    `private NavigableMap (NavigableMap rootConfig, java.util.List<java.lang.String> path, java.util.Map<java.lang.String, java.lang.Object> delegateMap)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `clear()`
    `` | `NavigableMap` | `clone()`
    `` | `boolean` | `containsKey(java.lang.Object key)`
    `` | `boolean` | `containsValue(java.lang.Object value)`
    `` | `java.util.Set<Map.Entry<java.lang.String, java.lang.Object>>` | `entrySet()`
    `` | `boolean` | `equals(java.lang.Object obj)`
    `` | `private void` | `fill(java.util.List list, java.lang.Integer toIndex, java.lang.Object value)`
    `` | `private void` | `flattenKeys(java.util.Map<? extends java.lang.Object, java.lang.Object> flatConfig, java.util.Map currentMap, java.util.List<java.lang.String> path, boolean forceStrings)`
    `` | `java.lang.Object` | `get(java.lang.Object key)`
    `` | `java.lang.Object` | `getAt(java.lang.Object key)`
    `` | `java.lang.Object` | `getProperty(java.lang.String name)`
    `` | `int` | `hashCode()`
    `` | `boolean` | `isEmpty()`
    `` | `java.util.Set<java.lang.String>` | `keySet()`
    `` | `void` | `merge(java.util.Map sourceMap, boolean parseFlatKeys)`
    `` | `protected void` | `mergeMapEntry(NavigableMap rootMap, java.lang.String path, NavigableMap targetMap, java.lang.String sourceKey, java.lang.Object sourceValue, boolean parseFlatKeys, boolean isNestedSet)`
    `` | `protected java.lang.Object` | `mergeMapEntry(NavigableMap targetMap, java.lang.String sourceKey, java.lang.Object newValue)`
    `` | `private void` | `mergeMaps(NavigableMap rootMap, java.lang.String path, NavigableMap targetMap, java.util.Map sourceMap, boolean parseFlatKeys)`
    `` | `java.lang.Object` | `navigate(java.lang.String[] path)`
    `` | `private java.lang.Object` | `navigateMap(java.util.Map<java.lang.String, java.lang.Object> map, java.lang.String[] path)`
    `` | `NavigableMap` | `navigateSubMap(java.util.List<java.lang.String> path, boolean createMissing)`
    `` | `java.lang.Object` | `put(java.lang.String key, java.lang.Object value)`
    `` | `void` | `putAll(java.util.Map<? extends java.lang.String, ? extends java.lang.Object> m)`
    `` | `java.lang.Object` | `remove(java.lang.Object key)`
    `` | `void` | `setAt(java.lang.Object key, java.lang.Object value)`
    `` | `void` | `setProperty(java.lang.String name, java.lang.Object value)`
    `` | `private boolean` | `shouldSkipBlock(java.util.Map sourceMap, java.lang.String path)`
    `` | `int` | `size()`
    `` | `java.util.Map<java.lang.String, java.lang.Object>` | `toFlatConfig()`
    `` | `java.util.Properties` | `toProperties()`
    `` | `java.lang.String` | `toString()`
    `` | `java.util.Collection<java.lang.Object>` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final org.slf4j.Logger LOG

    - #### private static final java.lang.String PROFILES

    - #### private static final java.util.regex.Pattern SPLIT_PATTERN

    - #### private static final java.lang.String SPRING

    - #### private static final java.lang.String SPRING_PROFILES

    - #### private static final java.lang.String SUBSCRIPT_REGEX

    - #### private final java.util.Map<java.lang.String, java.lang.Object> delegateMap

    - #### private final java.lang.String dottedPath

    - #### private final java.util.List<java.lang.String> path

    - #### private final NavigableMap rootConfig

  - ### Property Detail

    - #### java.lang.Object at

    - #### final java.util.Map<java.lang.String, java.lang.Object> delegateMap

    - #### final java.lang.String dottedPath

    - #### final java.util.List<java.lang.String> path

    - #### java.lang.Object property

    - #### final NavigableMap rootConfig

  - ### Constructor Detail

    - #### NavigableMap()

    - #### NavigableMap(NavigableMap rootConfig, java.util.List<java.lang.String> path)

    - #### private NavigableMap(NavigableMap rootConfig, java.util.List<java.lang.String> path, java.util.Map<java.lang.String, java.lang.Object> delegateMap)

  - ### Method Detail

    - #### @java.lang.Override void clear()

    - #### @java.lang.Override NavigableMap clone()

    - #### @java.lang.Override boolean containsKey(java.lang.Object key)

    - #### @java.lang.Override boolean containsValue(java.lang.Object value)

    - #### @java.lang.Override java.util.Set<Map.Entry<java.lang.String, java.lang.Object>> entrySet()

    - #### @java.lang.Override boolean equals(java.lang.Object obj)

    - #### private void fill(java.util.List list, java.lang.Integer toIndex, java.lang.Object value)

    - #### private void flattenKeys(java.util.Map<? extends java.lang.Object, java.lang.Object> flatConfig, java.util.Map currentMap, java.util.List<java.lang.String> path, boolean forceStrings)

    - #### @groovy.transform.CompileDynamic @java.lang.Override java.lang.Object get(java.lang.Object key)

    - #### java.lang.Object getAt(java.lang.Object key)

    - #### java.lang.Object getProperty(java.lang.String name)

    - #### @java.lang.Override int hashCode()

    - #### @java.lang.Override boolean isEmpty()

    - #### @java.lang.Override java.util.Set<java.lang.String> keySet()

    - #### void merge(java.util.Map sourceMap, boolean parseFlatKeys)

    - #### protected void mergeMapEntry(NavigableMap rootMap, java.lang.String path, NavigableMap targetMap, java.lang.String sourceKey, java.lang.Object sourceValue, boolean parseFlatKeys, boolean isNestedSet)

    - #### protected java.lang.Object mergeMapEntry(NavigableMap targetMap, java.lang.String sourceKey, java.lang.Object newValue)

    - #### private void mergeMaps(NavigableMap rootMap, java.lang.String path, NavigableMap targetMap, java.util.Map sourceMap, boolean parseFlatKeys)

    - #### java.lang.Object navigate(java.lang.String[] path)

    - #### private java.lang.Object navigateMap(java.util.Map<java.lang.String, java.lang.Object> map, java.lang.String[] path)

    - #### NavigableMap navigateSubMap(java.util.List<java.lang.String> path, boolean createMissing)

    - #### @java.lang.Override java.lang.Object put(java.lang.String key, java.lang.Object value)

    - #### @java.lang.Override void putAll(java.util.Map<? extends java.lang.String, ? extends java.lang.Object> m)

    - #### @java.lang.Override java.lang.Object remove(java.lang.Object key)

    - #### void setAt(java.lang.Object key, java.lang.Object value)

    - #### void setProperty(java.lang.String name, java.lang.Object value)

    - #### private boolean shouldSkipBlock(java.util.Map sourceMap, java.lang.String path)

    - #### @java.lang.Override int size()

    - #### java.util.Map<java.lang.String, java.lang.Object> toFlatConfig()

    - #### java.util.Properties toProperties()

    - #### @java.lang.Override java.lang.String toString()

    - #### @java.lang.Override java.util.Collection<java.lang.Object> values()